### Function

# AppStream utils_posix_locale_to_bcp47

#### Declaration [src]

    gchar*
    as_utils_posix_locale_to_bcp47 (
      const gchar* locale
    )

#### Description [src]

Converts a POSIX locale string to the corresponding IETF BCP47 format. If the given locale is already in BCP47 format, no change will be done.

#### Parameters

`locale`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A locale string, free with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.